RubyGems Navigation menu

sprockets-bumble_d 2.2.0

This gem provides a plugin for Sprockets to transpile modern javascript using Babel. Unlike other options in the sprockets ecosystem, it works with the latest version of Babel and any plugins/presets you install. A primary use case for this gem is to facilitate incremental migration of a large Sprockets-powered javascript codebase to ES6 modules by transforming them to UMD modules that preserve your existing global variable references (hence the name: Babel + UMD = BumbleD). That said, this gem can be used for general purpose babel transpilation within the Sprockets pipeline.

Versions:

  1. 2.2.0 - September 09, 2019 (6,5 ko)
  2. 2.1.0 - March 04, 2019 (6,5 ko)
  3. 2.0.0 - February 27, 2019 (6,5 ko)
  4. 1.1.0 - March 12, 2017 (6,5 ko)
  5. 1.0.0 - January 30, 2017 (6,5 ko)

Dépendances de Runtime (3):

  • railties >= 4.2.0, < 7.0
  • schmooze = 0.1.6
  • sprockets ~> 3.5
  • Propriétaires:

    Pushed by:

    Auteurs:

    • Richard Macklin

    Total de contrôle SHA 256:

    fb03aa6c2dc054abd6f14b7a69dada9bf91f5772e2f859403649e9939ec2c4ca

    Total de téléchargements 23 038

    Pour cette version 11 904

    Gemfile:
    = Copier Copié!

    installation:
    =

    Licence:

    MIT

    Version de Ruby requise: >= 0

    Liens: